RockPaperScissors

LizardSpock

Git Submodule Update Fatal

| Comments

$ git submodule update
fatal: Needed a single revision
Unable to find current revision in submodule path 'vim/bundle/systemverilog'

To resolve the issue :

rm -rf vim/bundle/systemverilog
git submodule update

Check your .gimodules, one of mine was an http instead of https, (gitub is https only now). Update to the latest version I find a minimum of git 1.8.5 is required for reliable module checkout.

Solution based on gostais docs.

Comments